LINUX.ORG.RU

Не стартует PostgreSQL после обновления libicu

 


0

1

Доброго времени суток. После очередного yum upgrade обновилась библиотека libicu в итоге база не стартует:

PostgreSQL 10.6 on x86_64-pc-linux-gnu, compiled by gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-36), 64-bit

FATAL:  database files are incompatible with server
DETAIL:  The database cluster was initialized with the ICU library of version 50.1.2.0, but the server was compiled with the ICU library of version 50.2.0.0.
HINT:  It looks like you need to recompile or initdb.

думал, что можно откатить версию libicu, но нет вариантов:

# yum --showduplicates list libicu
Загружены модули: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.logol.ru
 * extras: mirror.logol.ru
 * updates: mirror.logol.ru
Установленные пакеты
libicu.x86_64       50.2-4.el7_7      @base
Доступные пакеты
libicu.i686         50.2-4.el7_7       base
libicu.x86_64       50.2-4.el7_7       base

К сожалению дампа кластера нет. Прошу помочь советом, как еще можно запустить?